%define name aqbanking
%define version 2.2.9
%define release %mkrel 1
%define major 16
%define libname %mklibname %name %major
%define fname %name-%{version}
%define gwenmajor 38
%define aqhbcimajor 10
%define aqhbcilibname %mklibname aqhbci %aqhbcimajor
%define qtmajor 4
%define qtlibname %mklibname qbanking %qtmajor
%define gtkmajor 2
%define gtklibname %mklibname g2banking %gtkmajor
%define kdemajor 1
%define kdelibname %mklibname kbanking %kdemajor
%define gkmajor 4
%define gklibname %mklibname geldkarte %gkmajor
%define ofxmajor 3
%define ofxlibname %mklibname aqofxconnect %ofxmajor
%define nonemajor 0
%define nonelibname %mklibname aqnone %nonemajor
%define dtausmajor 3
%define dtauslibname %mklibname aqdtaus %dtausmajor

Name: %{name}
Summary: A library for online banking functions and financial data import/export
Version: %{version}
Release: %{release}
Source: http://prdownloads.sourceforge.net/aqbanking/%fname.tar.bz2
Group: System/Libraries
License: GPL
URL: http://sourceforge.net/projects/aqbanking
BuildRoot: %{_tmppath}/%{name}-%{version}-root
BuildRequires: libgwenhywfar-devel >= 2.3.0
BuildRequires: libchipcard3-devel
BuildRequires: libofx-devel >= 0.8.0
BuildRequires: libktoblzcheck-devel
BuildRequires: gtk+2-devel
BuildRequires: kdelibs-devel
BuildRequires: glade2
BuildRequires: libglade2.0-devel
BuildRequires:	x11-server-xvfb

%description 
The intention of AqBanking is to provide a middle layer between the
program and the various Online Banking libraries (e.g. AqHBCI). The
first backend which is already supported is AqHBCI, a library which
implements a client for the German HBCI (Home Banking Computer
Interface) protocol. Additionally, Aqbanking provides various plugins
to simplify import and export of financial data. Currently there are
import plugins for the following formats: DTAUS (German financial
format), SWIFT (MT940 and MT942).

%package qt3
Summary: QT3-based front-ends for Aqbanking
Group: System/Libraries
Obsoletes: aqhbci-qt-tools
Provides: aqhbci-qt-tools
Provides: aqbanking-ofx-qt3
Obsoletes: aqbanking-ofx-qt3
%description qt3 
Necessary for all banking applications.
%package -n %{qtlibname}
Summary: Library for QT3 front-end for Aqbanding
Group: System/Libraries

%description -n %{qtlibname}
Library for the Aqbanking QT3 integration.

%package -n %{qtlibname}-devel
Summary: Qbanking development kit
Group: Development/C++
Requires: %{qtlibname} = %{version}
Provides:libqbanking-devel = %{version}-%{release}
%description -n %{qtlibname}-devel
Library for the Aqbanking QT3 integration.

%package -n %{ofxlibname}
Summary: Library for OFX access for Aqbanding
Group: System/Libraries

%description -n %{ofxlibname}
Library for the Aqbanking OFX access.

%package -n %{ofxlibname}-devel
Summary: Aqbanking OFX access development kit
Group: Development/C
Requires: %{ofxlibname} = %{version}
Provides:libaqofxconnect-devel = %{version}-%{release}
%description -n %{ofxlibname}-devel
Library for the Aqbanking OFX access.

%package -n %gtklibname
Summary: Aqbanking tools for Gnome2/Gtk2
Group: System/Libraries

%description -n %gtklibname
Necessary for gtk2-based banking applications, e.g. Grisbi (but
not gnucash).

%package -n %gtklibname-devel
Summary: Aqbanking tools for Gnome2/Gtk2
Group: Development/C
Requires: %gtklibname = %version
Provides: libg2banking-devel = %version-%release

%description -n %gtklibname-devel
Necessary for gtk2-based banking applications, e.g. Grisbi (but
not gnucash).

%package -n %gklibname
Summary: Aqbanking tools for Geldkarte
Group: System/Libraries

%description -n %gklibname
Necessary for accessing the German Geldkarte system.

%package -n %gklibname-devel
Summary: Aqbanking tools for Gnome2/Gtk2
Group: Development/C
Requires: %gklibname = %version
Provides: libgeldkarte-devel = %version-%release

%description -n %gklibname-devel
Necessary for accessing the German Geldkarte system.

%package geldkarte
Summary: Aqbanking tools for Geldkarte
Group: System/Libraries
%description geldkarte
Necessary for accessing the German Geldkarte system.

%package geldkarte-qt3
Summary: Aqbanking tools for Geldkarte
Group: System/Libraries
Requires: %name-geldkarte = %version
%description geldkarte-qt3
Necessary for accessing the German Geldkarte system.

%package ofx
Summary: Aqbanking tools for OFX
Group: System/Libraries
%description ofx
Necessary for OFX direct connect access.

%package -n %kdelibname
Summary: Aqbanking tools for KDE3
Group: System/Libraries

%description -n %kdelibname
Necessary for KDE-based banking applications, e.g. KMyMoney.

%package -n %kdelibname-devel
Summary: Aqbanking tools for KDE3
Group: Development/C++
Requires: %kdelibname = %version
Provides: libkbanking-devel = %version-%release

%description -n %kdelibname-devel
Necessary for KDE-based banking applications, e.g. KMyMoney.

%package -n aqhbci
Summary: The HBCI backend for the Aqbanking library
Group: System/Libraries

%description -n aqhbci
This is the backend for the Aqbanking library which 
implements a client for the German HBCI (Home Banking Computer
Interface) protocol. 


%package -n %{aqhbcilibname}
Summary: Library for HBCI backend for Aqbanding
Group: System/Libraries
Requires: aqhbci >= %version

%description -n %{aqhbcilibname}
This is the backend for the Aqbanking library which 
implements a client for the German HBCI (Home Banking Computer
Interface) protocol. 

%package -n %{aqhbcilibname}-devel
Summary: Aqhbci development kit
Group: Development/C
Requires: %{aqhbcilibname} = %{version}
Provides: libaqhbci-devel = %{version}-%{release}
Provides: aqhbci-devel = %{version}-%{release}

%description -n %{aqhbcilibname}-devel
This package contains aqhbci-config and header files for writing and
compiling programs using Aqhbci.


%package -n %libname
Summary: A library for online banking functions and financial data import/export
Group: System/Libraries
Requires: %name >= %version

%description -n %libname
The intention of AqBanking is to provide a middle layer between the
program and the various Online Banking libraries (e.g. AqHBCI). The
first backend which is already supported is AqHBCI, a library which
implements a client for the German HBCI (Home Banking Computer
Interface) protocol. Additionally, Aqbanking provides various plugins
to simplify import and export of financial data. Currently there are
import plugins for the following formats: DTAUS (German financial
format), SWIFT (MT940 and MT942).

%package -n %libname-devel
Summary: Aqbanking development kit
Group: Development/C++
Requires: %{libname} = %{version}
Provides: lib%name-devel = %{version}-%{release}
Requires: OpenSP-devel
Provides: aqhbci-devel = %version-%release
Provides: libaqhbci-devel = %version-%release
%description -n %libname-devel
This package contains aqbanking-config and header files for writing and
compiling programs using Aqbanking.


%package -n %nonelibname
Summary: Aqbanking dummy backend library
Group: System/Libraries

%description -n %nonelibname
Necessary for viewing offline accounts.


%package -n %dtauslibname
Summary: Aqbanking DTAUS backend library
Group: System/Libraries

%description -n %dtauslibname
Necessary for viewing DTAUS (German financial format) accounts.

%prep
%setup -q -n %fname

%build
%configure2_5x

#parallel compilation must be disabled
#otherwise build will be linked with system libraries
#not the package one
XDISPLAY=$(i=1; while [ -f /tmp/.X$i-lock ]; do i=$(($i+1)); done; echo $i)
Xvfb :$XDISPLAY &
export DISPLAY=:$XDISPLAY
make
kill $(cat /tmp/.X$XDISPLAY-lock) || :

%install
rm -rf $RPM_BUILD_ROOT %name.lang installed-docs

%makeinstall_std
rm -f %buildroot%_libdir/*/*/*/*/*.a
perl -pi -e "s-L$RPM_BUILD_DIR/%fname/src/libs/aqbanking" %buildroot%_libdir/*.la
perl -pi -e "s-L$RPM_BUILD_DIR/%fname/src/plugins/backends/aqhbci/plugin" %buildroot%_libdir/*.la 
find %buildroot%_libdir/*/ -name \*.la|xargs rm -f
chmod 644 %buildroot%_libdir/*.la

%find_lang %name
mv %buildroot%_datadir/doc/%name installed-docs
mv %buildroot%_datadir/doc/aqhbci/* installed-docs

%clean
[ "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT

%post -n %libname -p /sbin/ldconfig
%postun -n %libname -p /sbin/ldconfig
%post -n %aqhbcilibname -p /sbin/ldconfig
%postun -n %aqhbcilibname -p /sbin/ldconfig
%post -n %qtlibname -p /sbin/ldconfig
%postun -n %qtlibname -p /sbin/ldconfig
%post -n %gtklibname -p /sbin/ldconfig
%postun -n %gtklibname -p /sbin/ldconfig
%post -n %kdelibname -p /sbin/ldconfig
%postun -n %kdelibname -p /sbin/ldconfig
%post -n %gklibname -p /sbin/ldconfig
%postun -n %gklibname -p /sbin/ldconfig
%post -n %ofxlibname -p /sbin/ldconfig
%postun -n %ofxlibname -p /sbin/ldconfig
%post -n %nonelibname -p /sbin/ldconfig
%postun -n %nonelibname -p /sbin/ldconfig
%post -n %dtauslibname -p /sbin/ldconfig
%postun -n %dtauslibname -p /sbin/ldconfig


%files -n aqhbci
%defattr(-,root,root)
%doc src/plugins/backends/aqhbci/tools/aqhbci-tool/README
%_bindir/aqhbci-tool
%{_bindir}/hbcixml2
%_datadir/aqhbci/
%_libdir/%name/plugins/%major/providers/aqhbci*

%files -n %aqhbcilibname
%defattr(-,root,root)
%_libdir/libaqhbci.so.%{aqhbcimajor}*

%files -n %aqhbcilibname-devel
%defattr(-,root,root)
%{_bindir}/aqhbci-config
%{_includedir}/aqhbci/
%{_libdir}/libaqhbci.la
%_libdir/libaqhbci.so
%_datadir/aclocal/aqhbci.m4
%files -n %qtlibname
%defattr(-,root,root)
%{_libdir}/libqbanking.so.%{qtmajor}*

%files -n %qtlibname-devel
%defattr(-,root,root)
%{_bindir}/qbanking-config
%{_libdir}/libqbanking.la
%{_libdir}/libqbanking.so
%{_includedir}/qbanking
%{_datadir}/aclocal/qbanking.m4

%files qt3
%defattr(-,root,root)
%_libdir/%name/plugins/%major/wizards/qt3-wizard
%_libdir/%name/plugins/%major/wizards/qt3_wizard.xml
%_libdir/%name/plugins/%major/debugger/aqhbci/
%_bindir/qb-help
%_libdir/%name/plugins/%major/frontends/qbanking/

%files -f %name.lang
%defattr(-,root,root)
%doc installed-docs
%_bindir/%name-tool
%dir %{_libdir}/%{name}
%dir %{_libdir}/%{name}/plugins
%dir %{_libdir}/%{name}/plugins/%major/
%dir %{_libdir}/%{name}/plugins/%major/providers/
%dir %{_libdir}/%{name}/plugins/%major/wizards/
%dir %{_libdir}/%{name}/plugins/%major/imexporters/
%{_libdir}/%{name}/plugins/%major/bankinfo/
%{_libdir}/%{name}/plugins/%major/imexporters/csv*
%{_libdir}/%{name}/plugins/%major/imexporters/dbio*
%{_libdir}/%{name}/plugins/%major/imexporters/dtaus*
%{_libdir}/%{name}/plugins/%major/imexporters/eri*
%{_libdir}/%{name}/plugins/%major/imexporters/openhbci*
%{_libdir}/%{name}/plugins/%major/imexporters/qif*
%{_libdir}/%{name}/plugins/%major/imexporters/swift*
%{_libdir}/%{name}/plugins/%major/imexporters/xmldb*
%{_libdir}/%{name}/plugins/%major/imexporters/yellownet*
%{_libdir}/%{name}/plugins/%major/providers/aqdtaus*
%{_libdir}/%{name}/plugins/%major/providers/aqnone*
%{_libdir}/gwenhywfar/plugins/%gwenmajor/dbio/dtaus.so
%{_libdir}/gwenhywfar/plugins/%gwenmajor/dbio/dtaus.so.0
%{_libdir}/gwenhywfar/plugins/%gwenmajor/dbio/dtaus.so.0.0.0
%{_libdir}/gwenhywfar/plugins/%gwenmajor/dbio/dtaus.xml
%{_libdir}/gwenhywfar/plugins/%gwenmajor/dbio/swift.so
%{_libdir}/gwenhywfar/plugins/%gwenmajor/dbio/swift.so.0
%{_libdir}/gwenhywfar/plugins/%gwenmajor/dbio/swift.so.0.0.0
%{_libdir}/gwenhywfar/plugins/%gwenmajor/dbio/swift.xml
%{_libdir}/gwenhywfar/plugins/%gwenmajor/crypttoken/*

%{_datadir}/%{name}

%files ofx
%defattr(-,root,root)
%dir %{_libdir}/%{name}/plugins/%major/imexporters/ofx*
%{_libdir}/%{name}/plugins/%major/providers/aqofxconnect*

%files geldkarte
%defattr(-,root,root)
%{_libdir}/%{name}/plugins/%major/providers/aqgeldkarte*

%files -n %gtklibname
%defattr(-,root,root)
%_libdir/libg2banking.so.%{gtkmajor}*

%files -n %gtklibname-devel
%defattr(-,root,root)
%_libdir/libg2banking.so
%_libdir/libg2banking.la
%{_bindir}/g2banking-config
%{_includedir}/g2banking
%{_datadir}/aclocal/g2banking.m4

%files -n %kdelibname
%defattr(-,root,root)
%_libdir/libkbanking.so.%{kdemajor}*

%files -n %kdelibname-devel
%defattr(-,root,root)
%_libdir/libkbanking.so
%_libdir/libkbanking.la
%{_bindir}/kbanking-config
%{_includedir}/kbanking
%{_datadir}/aclocal/kbanking.m4

%files -n %gklibname
%defattr(-,root,root)
%_libdir/libaqgeldkarte.so.%{gkmajor}*

%files -n %gklibname-devel
%defattr(-,root,root)
%{_bindir}/aqgeldkarte-config
%{_includedir}/aqgeldkarte/
%{_libdir}/libaqgeldkarte.la
%{_libdir}/libaqgeldkarte.so
%{_datadir}/aclocal/aqgeldkarte.m4

%files -n %ofxlibname
%defattr(-,root,root)
%_libdir/libaqofxconnect.so.%{ofxmajor}*

%files -n %ofxlibname-devel
%defattr(-,root,root)
%_libdir/libaqofxconnect.so
%_libdir/libaqofxconnect.la
%{_bindir}/aqofxconnect-config
%{_includedir}/aqofxconnect/
%{_datadir}/aclocal/aqofxconnect.m4

%files -n %libname
%defattr(-,root,root)
%{_libdir}/libaqbanking.so.%{major}*
%_libdir/libcbanking.so.%{major}*

%files -n %libname-devel
%defattr(-,root,root)
%{_bindir}/aqbanking-config
%{_bindir}/aqdtaus-config
%{_bindir}/cbanking-config
%{_includedir}/aqbanking
%{_includedir}/aqdtaus
%{_includedir}/cbanking/
%{_libdir}/libaqdtaus.la
%{_libdir}/libcbanking.la
%{_libdir}/libaqbanking.la
%{_libdir}/libaqnone.la
%{_libdir}/libaqdtaus.so
%{_libdir}/libcbanking.so
%{_libdir}/libaqbanking.so
%{_libdir}/libaqnone.so
%{_datadir}/aclocal/aqbanking.m4
%{_datadir}/aclocal/aqdtaus.m4
%{_datadir}/aclocal/cbanking.m4
%{_libdir}/pkgconfig/aqbanking.pc

%files -n %nonelibname
%defattr(-,root,root)
%_libdir/libaqnone.so.%{nonemajor}*

%files -n %dtauslibname
%defattr(-,root,root)
%_libdir/libaqdtaus.so.%{dtausmajor}*




%changelog
* Tue May 29 2007 Frederic Crozat <fcrozat@mandriva.com> 2.2.9-1mdv2008.0
+ Revision: 32532
- Release 2.2.9


* Fri Jan 19 2007 Götz Waschk <waschk@mandriva.org> 2.2.6-1mdv2007.0
+ Revision: 110815
- new version

* Fri Dec 29 2006 Götz Waschk <waschk@mandriva.org> 2.2.4-1mdv2007.1
+ Revision: 102534
- new version
- fix buildrequires

* Fri Dec 01 2006 Götz Waschk <waschk@mandriva.org> 2.2.3-1mdv2007.1
+ Revision: 89587
- Import aqbanking

* Fri Dec 01 2006 Götz Waschk <waschk@mandriva.org> 2.2.3-1mdv2007.1
- New version 2.2.3

* Sun Aug 27 2006 Gtz Waschk <waschk@mandriva.org> 2.2.1-1mdv2007.0
- update file list
- New release 2.2.1

* Sat Jun 17 2006 Gtz Waschk <waschk@mandriva.org> 2.1.0-1mdv2007.0
- update file list
- bump major
- bump deps
- New release 2.1.0

* Thu Jun 08 2006 Gtz Waschk <waschk@mandriva.org> 2.0.0-2mdv2007.0
- fix build

* Tue Apr 04 2006 Gtz Waschk <waschk@mandriva.org> 2.0.0-1mdk
- New release 2.0.0

* Tue Mar 28 2006 Gtz Waschk <waschk@mandriva.org> 1.9.11-0.rc1.1mdk
- New release 1.9.11

* Fri Mar 24 2006 Götz Waschk <waschk@mandriva.org> 1.9.10-1mdk
- New release 1.9.10

* Tue Mar 21 2006 Gtz Waschk <waschk@mandriva.org> 1.9.9-1mdk
- bump deps
- New release 1.9.9

* Tue Mar 07 2006 Gtz Waschk <waschk@mandriva.org> 1.9.8-1mdk
- add dtaus package
- update majors
- New release 1.9.8

* Mon Feb 20 2006 Gtz Waschk <waschk@mandriva.org> 1.9.7-5mdk
- fix conflict

* Mon Feb 20 2006 Gtz Waschk <waschk@mandriva.org> 1.9.7-4mdk
- obsolete aqbanking-ofx-qt3

* Mon Feb 20 2006 Gtz Waschk <waschk@mandriva.org> 1.9.7-3mdk
- fix buildrequires

* Sun Feb 19 2006 Gtz Waschk <waschk@mandriva.org> 1.9.7-2mdk
- add conflict

* Fri Feb 17 2006 Gtz Waschk <waschk@mandriva.org> 1.9.7-1mdk
- update file list
- bump deps
- new major
- New release 1.9.7

* Wed Jan 18 2006 Christiaan Welvaart <cjw@daneel.dyndns.org> 1.8.0-4mdk
- rebuild for new gwenhywfar

* Mon Jan 09 2006 Mandriva Linux Team <http://www.mandrivaexpert.com/> 1.8.0-3mdk
- Rebuild

* Tue Dec 06 2005 Gtz Waschk <waschk@mandriva.org> 1.8.0-2mdk
- build with ktobblzcheck

* Mon Dec 05 2005 Gtz Waschk <waschk@mandriva.org> 1.8.0-1mdk
- merge with aqhbci
- update buildrequires
- New release 1.8.0

* Mon Nov 14 2005 Oden Eriksson <oeriksson@mandriva.com> 1.2.0-4mdk
- rebuilt against openssl-0.9.8a

* Sat Jul 30 2005 Frederic Crozat <fcrozat@mandriva.com> 1.2.0-3mdk
- Remove .so file from lib package

* Wed Jul 27 2005 Nicolas Lcureuil <neoclust@mandriva.org> 1.2.0-2mdk
- cosmetics

* Sat Jul 16 2005 Gtz Waschk <waschk@mandriva.org> 1.2.0-1mdk
- New release 1.2.0

* Tue Jul 12 2005 Gtz Waschk <waschk@mandriva.org> 1.1.0-1mdk
- update file list
- bump deps
- New release 1.1.0

* Wed Jun 15 2005 Gtz Waschk <waschk@mandriva.org> 1.0.12-1mdk
- New release 1.0.12

* Sat Jun 04 2005 Gtz Waschk <waschk@mandriva.org> 1.0.11-1mdk
- update file list
- New release 1.0.11

* Sat May 21 2005 Gtz Waschk <waschk@mandriva.org> 1.0.10-1mdk
- New release 1.0.10

* Thu May 05 2005 Gtz Waschk <waschk@mandriva.org> 1.0.9-2mdk
- fix devel deps

* Tue Apr 26 2005 Gtz Waschk <waschk@mandriva.org> 1.0.9-1mdk
- requires new gwenhywfar
- New release 1.0.9

* Thu Apr 07 2005 Frederic Crozat <fcrozat@mandrakesoft.com> 1.0.7-1mdk 
- Release 1.0.7

* Mon Feb 21 2005 Gtz Waschk <waschk@linux-mandrake.com> 1.0.5-1mdk
- 1.0.5beta

* Mon Feb 21 2005 Götz Waschk <waschk@linux-mandrake.com> 0.9.9-1mdk
- New release 0.9.9

* Tue Dec 28 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 0.9.8-2mdk 
- Fix .la files

* Mon Dec 13 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.9.8-1mdk
- initial package

